EscalationPaths
Update an escalation path
Update a specific escalation path by id
PUT
/
v1
/
escalation_paths
/
{id}
Update an escalation path
curl --request PUT \
--url https://api.rootly.com/v1/escalation_paths/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "escalation_paths",
"attributes": {
"name": "<string>",
"notification_type": "audible",
"after_deferral_path_id": "<string>",
"default": true,
"match_mode": "match-all-rules",
"position": 123,
"repeat": true,
"repeat_count": 123,
"initial_delay": 123,
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": [
"<string>"
]
}
],
"time_restrictions": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/escalation_paths/{id}"
payload = { "data": {
"type": "escalation_paths",
"attributes": {
"name": "<string>",
"notification_type": "audible",
"after_deferral_path_id": "<string>",
"default": True,
"match_mode": "match-all-rules",
"position": 123,
"repeat": True,
"repeat_count": 123,
"initial_delay": 123,
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": ["<string>"]
}
],
"time_restrictions": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'escalation_paths',
attributes: {
name: '<string>',
notification_type: 'audible',
after_deferral_path_id: '<string>',
default: true,
match_mode: 'match-all-rules',
position: 123,
repeat: true,
repeat_count: 123,
initial_delay: 123,
rules: [{rule_type: 'alert_urgency', urgency_ids: ['<string>']}],
time_restrictions: [{start_time: '<string>', end_time: '<string>'}]
}
}
})
};
fetch('https://api.rootly.com/v1/escalation_paths/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"default": true,
"notification_type": "<string>",
"escalation_policy_id": "<string>",
"repeat": true,
"repeat_count": 123,
"after_deferral_path_id": "<string>",
"position": 123,
"initial_delay": 123,
"created_at": "<string>",
"updated_at": "<string>",
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": [
"<string>"
]
}
],
"time_restrictions": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
},
"type": "escalation_paths"
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update an escalation path
